diff -ur squid-2.5.STABLE10/src/cf.data.pre squid-2.5.STABLE10.MINE/src/cf.data.pre
--- squid-2.5.STABLE10/src/cf.data.pre	2005-05-11 02:08:40.000000000 +0300
+++ squid-2.5.STABLE10.MINE/src/cf.data.pre	2005-06-24 11:51:00.964032069 +0300
@@ -2760,6 +2760,23 @@
 	insert a %L tag in the error template file.
 DOC_END
 
+NAME: errp_show_appname
+COMMENT: on|off
+TYPE: onoff
+DEFAULT: on
+LOC: Config.onoff.errp_show_appname
+DOC_START
+	My comments...
+DOC_END
+
+NAME: errp_add_sig
+COMMENT: on|off
+TYPE: onoff
+DEFAULT: on
+LOC: Config.onoff.errp_add_sig
+DOC_START
+	My comments...
+DOC_END
 
 NAME: deny_info
 TYPE: denyinfo
diff -ur squid-2.5.STABLE10/src/errorpage.c squid-2.5.STABLE10.MINE/src/errorpage.c
--- squid-2.5.STABLE10/src/errorpage.c	2005-04-21 00:33:48.000000000 +0300
+++ squid-2.5.STABLE10.MINE/src/errorpage.c	2005-06-24 11:52:40.200468953 +0300
@@ -544,9 +544,16 @@
 	}
 	break;
     case 's':
-	p = full_appname_string;
+ if (!Config.onoff.errp_show_appname) {
+	    p = "";
+  } else {
+      p = full_appname_string;
+  }
 	break;
     case 'S':
+	if (!Config.onoff.errp_add_sig) {
+	    p = "";
+	} else {
 	/* signature may contain %-escapes, recursion */
 	if (err->page_id != ERR_SQUID_SIGNATURE) {
 	    const int saved_id = err->page_id;
@@ -561,6 +568,7 @@
 	    /* wow, somebody put %S into ERR_SIGNATURE, stop recursion */
 	    p = "[%S]";
 	}
+	}
 	break;
     case 't':
 	memBufPrintf(&mb, "%s", mkhttpdlogtime(&squid_curtime));
diff -ur squid-2.5.STABLE10/src/structs.h squid-2.5.STABLE10.MINE/src/structs.h
--- squid-2.5.STABLE10/src/structs.h	2005-05-04 21:03:47.000000000 +0300
+++ squid-2.5.STABLE10.MINE/src/structs.h	2005-06-24 11:53:53.980982804 +0300
@@ -609,6 +609,8 @@
 	int relaxed_header_parser;
 	int accel_uses_host_header;
 	int accel_no_pmtu_disc;
+	int errp_show_appname;
+	int errp_add_sig;
     } onoff;
     acl *aclList;
     struct {


